export function checkNull(vnode, type) {
    if (vnode === null || vnode === false) {
        return { type: "#comment", text: "empty", vtype: 0 };
    }
    return vnode;
}
function ReactShallowRenderer() {
    var ret;
    var a = {
        render: function(node) {
            if (node.vtype === 2) {
                var ret = checkNull(new node.type());
                ret = checkNull(ret);
            } else if (node.vtype === 4) {
                checkNull(node.type());
            }
        }
    };
}
